Bug 366652 - Drag and drop attachments in Kmail has stopped working
Summary: Drag and drop attachments in Kmail has stopped working
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: commands and actions (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-11 15:45 UTC by eemantsal
Modified: 2016-11-25 17:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eemantsal 2016-08-11 15:45:51 UTC
I'm on Kmail 5.2.90 (it isn't listed in the version selection in this form, sorry I have set «Unspecified»), and I've noticed that I can't drag and drop an attached file from Kmail's viewer to a folder in Dolphin, as it was possible before. I know this version isn't the final one, but I think I should put it into developers' knowledge.

Reproducible: Always

Steps to Reproduce:
1. Click on an attached file in Kmails view window and drag it to a Dolphin window to drop it on some folder
2.
3.

Actual Results:  
Nothing. You drag your mouse but no action is executed.

Expected Results:  
The file's icon shuold move with the mouse's pointer and once released the mouse's button the typipical popup menu to copy/move should appear and the file should copy to the desired folder.
Comment 1 Laurent Montel 2016-08-11 16:28:09 UTC
known bug.
It's on my todo list
Comment 2 eemantsal 2016-08-11 17:20:11 UTC
Ah, sorry, I always do a search before reporting a bug and this time I didn't get any result concerning this issue, or I didn't see it.
Well, I'm glad to read you already have taken it into account. Thank you.
Comment 3 Laurent Montel 2016-11-08 20:13:25 UTC
Git commit 42a5c00667e6440fcf3879a1dfdc9f31088f78d2 by Montel Laurent.
Committed on 08/11/2016 at 20:12.
Pushed by mlaurent into branch 'master'.

Fix Bug 366652 - Drag and drop attachments in Kmail has stopped working

Fix Bug 368378 - Regression in kMail 5.3.x: Drag and drop of attachments from a received mail into the composer does not work any more

FIXED-IN: 5.4.0
Related: bug 368378

M  +2    -44   messageviewer/src/viewer/viewer_p.cpp
M  +0    -3    messageviewer/src/viewer/viewer_p.h
M  +45   -32   messageviewer/src/viewer/webengine/mailwebengineview.cpp
M  +3    -4    messageviewer/src/viewer/webengine/mailwebengineview.h
M  +1    -24   webengineviewer/src/webengineview.cpp
M  +1    -5    webengineviewer/src/webengineview.h

http://commits.kde.org/messagelib/42a5c00667e6440fcf3879a1dfdc9f31088f78d2
Comment 4 Rigo Wenning 2016-11-25 17:26:37 UTC
I can confirm that bug for Opensuse Leap 42.2 with Kontact 5.3.0. So I will ask the devs to upgrade Leap 42.2 to 5.4.0. Essentially, it will not accept dragging attachments. Attachments can only be saved via "save-as". But as it is fixed now, this is fine and just a matter of the distro